/*
 * Flashbook GUI
 * Copyright (c) 2008-2010 Benjamin Moody
 *
 * This program is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _FB_GUI_H

/* File dialog functions -- filedlg.c */

void setup_file_filters(GtkFileChooser* chooser, const char* filters);

char* run_file_chooser(const char* title,
		       GtkWindow* parent,
		       GtkFileChooserAction action,
		       const char* old_path,
		       const char* suggest_name,
		       const char* suggest_dir,
		       const char* filters);

/* File button functions -- filebtn.c */

GtkWidget* make_file_button(const char* title,
			    const char* old_path,
			    const char* suggest_dir,
			    const char* filters);

char* file_button_get_selection(GtkWidget* filebtn);

/* Other handy functions -- utils.c */

void fix_main_args(int* argc, char*** argv);
void load_menurc_file(const char* progname);
void save_menurc_file(const char* progname);
void show_about_dialog(GtkWindow* window);
char* filename_to_display(const char* fname);
void display_io_error(GtkWidget* parent, const gchar* fname,
		      gboolean reading, int num);
void set_window_title(GtkWindow* window, const char* title,
		      const char* fname, gboolean modified);

#ifdef __APPLE__
# define LABEL_X_ALIGN 1.0
#else
# define LABEL_X_ALIGN 0.0
#endif

#endif
